﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Infragistics.Controls.Menus;
using Infragistics.Windows.DataPresenter;
using Infragistics.Windows.Reporting;

namespace BaseTree
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            XamDataTreeNode node = MyTree.ActiveNode;
            if (node != null)
            {
                if (node.Data is Category)
                {
                    List<Category> categories = new List<Category>();
                    categories.Add(node.Data as Category);


                    DG.DataSource = categories;

                    if (DG.Records != null)
                    {
                        foreach (Record record in DG.Records)
                        {
                            record.IsExpanded = true;
                        }
                    }

                    Report report = new Report();

                    EmbeddedVisualReportSection section1 = new EmbeddedVisualReportSection(DG);
                    report.Sections.Add(section1);

                    report.ReportSettings.HorizontalPaginationMode = HorizontalPaginationMode.Scale;
                    report.PageHeader = "This the Report Header";
                    //report.Print();


                    //This will allow you to see the report and print 
                    xamReportViewer.GeneratePreview(report, false, false);

                }
            }

        }

        
    }
}
